class GuestList
{
	private int numberOfGuests;
	private boolean[] confirmations;
	private String[] names;
	private int guestsSoFar = 0;
	
	public GuestList(int numberOfGuests)
	{
		this.numberOfGuests = numberOfGuests;
		confirmations = new boolean[numberOfGuests];
		names = new String[numberOfGuests];
	}
	
	public void addGuest(String name, boolean confirm){
		if (guestsSoFar == numberOfGuests){
			return;
		}
		names[guestsSoFar] = name;
		confirmations[guestsSoFar] = confirm;
		guestsSoFar ++;
	}
	
	public void printList(){
		for (int i =0; i < guestsSoFar; i ++){
			System.out.println(names[i]+ ":"+confirmations[i]);
		}
	}
	
	public static void main(String[] args){
		GuestList myList = new GuestList(2);
		myList.addGuest("Alice",true);
		myList.addGuest("Bob",false);
		myList.addGuest("Charlie",false);
		myList.printList();
	}
	
}